Project/src/model/Buy.java
package model;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;

public class Buy implements Serializable {
	private int id;
	private int userId;
	private int totalPrice;
	private int deliveryMethodId;
	private String deliveryMethodName;
	private int deliveryMethodPrice;
	private Date buyDate;


	public Buy() {
	}

	public Buy(int id, int userId, int totalPrice, int deliveryMethodId, String deliveryMethodName,
			int deliveryMethodPrice) {
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public int getTotalPrice() {
		return totalPrice;
	}

	public void setTotalPrice(int totalPrice) {
		this.totalPrice = totalPrice;
	}

	public int getDeliveryMethodId() {
		return deliveryMethodId;
	}

	public void setDeliveryMethodId(int deliveryMethodId) {
		this.deliveryMethodId = deliveryMethodId;
	}

	public String getDeliveryMethodName() {
		return deliveryMethodName;
	}

	public void setDeliveryMethodName(String deliveryMethodName) {
		this.deliveryMethodName = deliveryMethodName;
	}

	public int getDeliveryMethodPrice() {
		return deliveryMethodPrice;
	}

	public void setDeliveryMethodPrice(int deliveryMethodPrice) {
		this.deliveryMethodPrice = deliveryMethodPrice;
	}

	public Date getBuyDate() {
		return buyDate;
	}

	public void setBuyDate(Date buyDate) {
		this.buyDate = buyDate;
	}

	public String getFormatDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd (E)");
		return sdf.format(buyDate);
	}

	public String getFormatTotalPrice() {
		return String.format("%,d", this.totalPrice);
	}

	//	合計金額を求める
	public static int getTotalItemPrice(ArrayList<Item> items) {
		int total = 0;
		for (Item item : items) {
			total += item.getPrice();
		}
		return total;
	}
}

Project/src/controller/BuyCheckServlet.java
package controller;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.DeliveryMethodDao;
import model.Buy;
import model.DeliveryMethod;
import model.Item;
import model.User;

/**
 * Servlet implementation class BuyCheckServlet
 */
@WebServlet("/BuyCheckServlet")
public class BuyCheckServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
//		 セッションタイムアウト
		 HttpSession session = request.getSession(false);
		 User u = (User) session.getAttribute("user");

		 if (u == null) {
		 response.sendRedirect("LoginServlet");
		 return;
		 }

		try {
			// 選択された配送方法idを取得
			int deliveryMethodId = Integer.parseInt(request.getParameter("delivery_method_id"));
			System.out.println(deliveryMethodId);

			// 選択された配送方法idをもとに配送方法、金額を取得
			DeliveryMethod dm = DeliveryMethodDao.getDeliveryMethodByID(deliveryMethodId);

			// セッションのカートを取得
			ArrayList<Item> cartList = (ArrayList<Item>) session.getAttribute("cart");

			// 合計金額
			int totalPrice = Buy.getTotalItemPrice(cartList);

			Buy buy = new Buy();
			User user = (User) session.getAttribute("user");
			buy.setUserId(user.getId());
			buy.setDeliveryMethodId(dm.getId());
			buy.setDeliveryMethodName(dm.getName());
			buy.setDeliveryMethodPrice(dm.getPrice());

			totalPrice += buy.getDeliveryMethodPrice();
			buy.setTotalPrice(totalPrice);

			session.setAttribute("buy", buy);

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/buy_check.jsp");
			dispatcher.forward(request, response);

		} catch (SQLException e) {
			e.printStackTrace();
		}
	}

}

Project/src/controller/BuyFinishServlet.java
package controller;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.BuyDao;
import dao.BuyDetailDao;
import model.Buy;
import model.BuyDetail;
import model.Item;
import model.User;

/**
 * Servlet implementation class BuyFinishServlet
 */
@WebServlet("/BuyFinishServlet")
public class BuyFinishServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public BuyFinishServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// セッションタイムアウト
		HttpSession session = request.getSession(false);
		User u = (User) session.getAttribute("user");

		if (u == null) {
			response.sendRedirect("LoginServlet");
			return;
		}

		try {
			// カート情報取得
			ArrayList<Item> cartList = (ArrayList<Item>) session.getAttribute("cart");

			// セッションをキャストして呼び出し
			Buy buy = (Buy) session.getAttribute("buy");

			// 購入情報登録
			int buyId = BuyDao.insertBuy(buy);

			// 購入詳細情報を購入情報IDに紐づけして登録
			for (Item cartInItem : cartList) {
				BuyDetail bd = new BuyDetail();
				bd.setBuyId(buyId);
				bd.setItemId(cartInItem.getId());
				BuyDetailDao.insertBuyDetail(bd);
			}

			//	購入idをもとに購入情報の表示
			Buy buyResult = BuyDao.getBuyDataByBuyId(buyId);
			request.setAttribute("buyResult", buyResult);

			//	購入した商品情報
			ArrayList<Item> buyResultList = BuyDetailDao.getItemDataListByBuyId(buyId);
			request.setAttribute("buyResultList", buyResultList);

			// カート内のセッション情報を削除
			session.removeAttribute("cart");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/buy_finish.jsp");
			dispatcher.forward(request, response);

		} catch (SQLException e) {
			e.printStackTrace();
		}
	}

}

Project/src/controller/BuyHistoryDetailServlet.java
package controller;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.BuyDao;
import dao.BuyDetailDao;
import model.Buy;
import model.Item;
import model.User;

/**
 * Servlet implementation class BuyHistoryDetailServlet
 */
@WebServlet("/BuyHistoryDetailServlet")
public class BuyHistoryDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public BuyHistoryDetailServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		// セッションタイムアウト
		HttpSession session = request.getSession(false);
		User u = (User) session.getAttribute("user");

		if (u == null) {
			response.sendRedirect("LoginServlet");
			return;
		}

		try {
			// 追加実装箇所
			String id = request.getParameter("id");

			BuyDao buyDao = new BuyDao();
			Buy buy = buyDao.getBuyHistoryByBuyId(id);
			request.setAttribute("buy", buy);

			// 購入詳細 商品名+配送名
			ArrayList<Item> buyItemList = BuyDetailDao.getItemDataListByBuyId(id);

			request.setAttribute("buyItemList", buyItemList);

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/buy_history_detail.jsp");
			dispatcher.forward(request, response);

		} catch (SQLException e) {
			e.printStackTrace();
		}

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/controller/BuyHistoryServlet.java
package controller;

import java.io.IOException;
import java.sql.SQLException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.BuyDao;
import model.Buy;
import model.User;

/**
 * Servlet implementation class BuyHistoryServlet
 */
@WebServlet("/BuyHistoryServlet")
public class BuyHistoryServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public BuyHistoryServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		try {
			// セッションタイムアウト
			HttpSession session = request.getSession(false);
			User u = (User) session.getAttribute("user");

			if (u == null) {
				response.sendRedirect("LoginServlet");
				return;
			}

			User user = (User) session.getAttribute("user");

			List<Buy> buyHistory = BuyDao.getBuyDateBuyId(user.getId());
			request.setAttribute("buyHistory", buyHistory);

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/buy_history.jsp");
			dispatcher.forward(request, response);

		} catch (SQLException e) {
			e.printStackTrace();
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/controller/BuyServlet.java
package controller;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.DeliveryMethodDao;
import model.DeliveryMethod;
import model.Item;
import model.User;

/**
 * Servlet implementation class BuyServlet
 */
@WebServlet("/BuyServlet")
public class BuyServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public BuyServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// セッションタイムアウト
		HttpSession session = request.getSession(false);
		User u=(User)session.getAttribute("user");

		if (u == null){
		response.sendRedirect("LoginServlet");
		return;
		}

		try {
			//	セッションのカート情報取得
			ArrayList<Item> cart = (ArrayList<Item>) session.getAttribute("cart");


			if (cart.size() == 0) {
				request.setAttribute("cartActionMessage", "購入する商品がありません");
				RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/cart_list.jsp");
				dispatcher.forward(request,response);
			} else {
			// 配送方法をDBから取得
			ArrayList<DeliveryMethod> dMList = DeliveryMethodDao.getAllDeliveryMethod();
			request.setAttribute("dMList", dMList);
			}

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/buy.jsp");
			dispatcher.forward(request,response);

		} catch (SQLException e) {
			e.printStackTrace();
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/controller/CartAddFinishServlet.java
package controller;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.ItemDao;
import model.Item;
import model.User;

/**
 * Servlet implementation class CartAddFinishServlet
 */
@WebServlet("/CartAddFinishServlet")
public class CartAddFinishServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public CartAddFinishServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// セッションタイムアウト
		HttpSession session = request.getSession(false);
		User u=(User)session.getAttribute("user");

		if (u == null){
		response.sendRedirect("LoginServlet");
		return;
		}

		//	id取得
		String id = request.getParameter("item_id");
		System.out.println(id);


		//	対象のアイテム情報を取得
		ItemDao itemDao = new ItemDao();
		Item item = itemDao.ItemDetail(id);
		request.setAttribute("item", item);

		//カートを取得
		ArrayList<Item> cart = (ArrayList<Item>) session.getAttribute("cart");

		//セッションにカートがない場合カートを作成
		if (cart == null) {
			cart = new ArrayList<Item>();
		}

		//カートに商品を追加
		cart.add(item);
		session.setAttribute("cart", cart);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/cart_add_finish.jsp");
		dispatcher.forward(request,response);
	}

}

Project/src/controller/CartListServlet.java
package controller;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import model.Item;
import model.User;

/**
 * Servlet implementation class CartListServlet
 */
@WebServlet("/CartListServlet")
public class CartListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public CartListServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// セッションタイムアウト
		HttpSession session = request.getSession(false);
		User u=(User)session.getAttribute("user");

		if (u == null){
		response.sendRedirect("LoginServlet");
		return;
		}

		try {
			ArrayList<Item> cart = (ArrayList<Item>) session.getAttribute("cart");
			//セッションにカートがない場合カートを作成
			if (cart == null) {
				cart = new ArrayList<Item>();
				session.setAttribute("cart", cart);
			}

			String cartActionMessage = "";
			//カートに商品が入っていないなら
			if(cart.size() == 0) {
				cartActionMessage = "カートに商品がありません";
			}

			request.setAttribute("cartActionMessage", cartActionMessage);


		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/cart_list.jsp");
		dispatcher.forward(request,response);

		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/WebContent/WEB-INF/jsp/buy_finish.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>

<head>
<meta charset="UTF-8">
<title>購入完了</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<link href="https://use.fontawesome.com/releases/v5.6.1/css/all.css"
	rel="stylesheet">
<link rel="stylesheet"
	href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome-animation/0.0.10/font-awesome-animation.css"
	type="text/css" media="all" />
</head>

<body>
	<div class="wrapper m-2">
		<!--        全画面共通　ヘッダー-->
		<header class="header" style="background-color: cornsilk;">
			<div class="row p-3">
				<div class="col-sm-2" style="text-align: center;">
					<a href="HomeServlet"> <i class="fas fa-home fa-2x fa-fw"></i>
					</a>
				</div>
				<div class="col-sm-3" style="text-align: end; margin: 0 0 0 auto;">
					<p>ようこそ ${user.name}さん</p>
				</div>
				<div class="col-sm-3" style="text-align: end;">
					<a href="UserServlet"> <i class="fas fa-user fa-2x fa-fw"></i>
					</a> <a href="CartListServlet"> <i
						class="fas fa-shopping-cart fa-2x fa-fw"></i>
					</a> <a href="FavoriteListServlet"> <i
						class="fas fa-heart fa-2x fa-fw"></i>
					</a> <a href="LogoutServlet"> <i
						class="fas fa-sign-out-alt fa-2x fa-fw"></i>
					</a>
				</div>
			</div>
		</header>

		<div class="title_box">
			<div class="row justify-content-center mt-5">
				<h2 class="title" style="font-weight: bold;">購入完了</h2>
			</div>
			<div class="row justify-content-center mt-5">
				<h4>ご注文ありがとうございます！</h4>
			</div>

			<div class="content_box">
				<p class="border mt-5" style="border: 1px solid #e7e7e7;"></p>
			</div>
            <h4 class="row justify-content-center mt-5 buy_detail" style="text-align: center; font-weight: bold;">
                <div class="col-sm-4">購入日時</div>
                <div class="col-sm-4">配送方法</div>
                <div class="col-sm-4">合計金額</div>
            </h4>
			<h5 class="row justify-content-center mt-5 buy_detail" style="text-align: center;">
                <div class="col-sm-4">${buyResult.formatDate}</div>
                <div class="col-sm-4">${buyResult.deliveryMethodName}</div>
                <div class="col-sm-4">￥${buyResult.formatTotalPrice}円</div>
			</h5>
		</div>

		<div class="content_box">
			<p class="border mt-5" style="border: 1px solid #e7e7e7;"></p>
		</div>
		<div class="row justify-content-center mt-5">
			<h4 class="check_alert" style="font-weight: bold;">購入した商品一覧</h4>
		</div>

		<div class="buy_list">
			<c:forEach var="BRL" items="${buyResultList}">
				<div class="row item_list mt-5">
					<div class="item col-sm-7"
						style="display: flex; width: 200px; align-items: center; justify-content: center;">
						<img src="img/${BRL.fileName}"
							style="width: 150px; height: 200px;">
					</div>
					<div class="item_card col-sm-5">
						<h4>${BRL.name}</h4>
						<p class="liner"
							style="border: 1px solid #e7e7e7; line-height: 20px;"></p>
						<h5>￥${BRL.price}円</h5>
					</div>
				</div>
				<div class="border_box mt-5">
					<p class="liner"
						style="border: 1px solid #e7e7e7; line-height: 20px;"></p>
				</div>
			</c:forEach>
			<div class="row item_list mt-5">
				<div class="space_card col-sm-7"
					style="display: flex; width: 200px; center; align-items: center; justify-content: center;">
					<p class="liner"
						style="border: 1px solid #e7e7e7; line-height: 20px;"></p>
				</div>
				<div class="delivery_card col-sm-5">
					<h4>${buyResult.deliveryMethodName}</h4>
					<p class="liner"
						style="border: 1px solid #e7e7e7; line-height: 20px;"></p>
					<h5>￥${buyResult.deliveryMethodPrice}円</h5>
				</div>
			</div>
		</div>
		<p class="liner mt-5"
			style="border: 1px solid #e7e7e7; line-height: 20px;"></p>
		<div class="row button_list justify-content-center mt-5"
			style="text-align: center;">
			<div class="button col-sm-3">
				<a class="btn btn-secondary" style="width: 200px;"
					href="BuyHistoryServlet">購入履歴はこちら</a>
			</div>
			<div class="button col-sm-3">
				<a class="btn btn-info" style="width: 200px;" href="HomeServlet">ホームへ</a>
			</div>
		</div>
		<p class="border mt-5" style="border: 1px solid #e7e7e7;"></p>

		<footer class="footer" style="background-color: cornsilk;">
			<div class="pt-3">
				<div class="home_button" style="text-align: center;">
					<a href="HomeServlet"> <i class="fas fa-home fa-2x fa-fw"></i>
					</a>
				</div>
				<div class="site_info mt-3" style="text-align: center;">
					<p>漫画のショッピングサイト Copyright ©2020</p>
				</div>
			</div>
		</footer>
</body>

</html>

Project/WebContent/WEB-INF/jsp/logout.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>ログアウト</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome-animation/0.0.10/font-awesome-animation.css" type="text/css" media="all" />
</head>

<body>
    <div class="wrapper m-2">
        <!--        全画面共通　ヘッダー-->
        <header class="header" style="background-color: cornsilk;">
            <div class="row p-3">
                <div class="col-sm-2" style="text-align: center;">
                    <a href="HomeServlet">
                        <i class="fas fa-home fa-2x fa-fw"></i>
                    </a>
                </div>
                <div class="col-sm-3" style="text-align: end; margin: 0 0 0 auto;">
                    <p>ようこそ　　　　　さん</p>
                </div>
                <div class="col-sm-3" style="text-align: end;">
                    <a href="UserServlet">
                        <i class="fas fa-user fa-2x fa-fw"></i>
                    </a>
                    <a href="CartListServlet">
                        <i class="fas fa-shopping-cart fa-2x fa-fw"></i>
                    </a>
                    <a href="FavoriteListServlet">
                        <i class="fas fa-heart fa-2x fa-fw"></i>
                    </a>
                    <a href="LogoutServlet">
                        <i class="fas fa-sign-out-alt fa-2x fa-fw"></i>
                    </a>
                </div>
            </div>
        </header>

        <div class="row">
            <div class="row mt-5 p-5" style="background-color: cornsilk; margin: 0 auto;">
                <form>
                    <div class="jutify-content-center">
                        <div class="title justify-content-center">
                            <h2 class="title" style="font-weight: bold;">ログアウトしました</h2>
                        </div>
                        <div class="row justify-content-center mt-5" style="margin: 0 auto;">
                            <a class="btn btn-info" style="width: 200px" href="LoginServlet">ログイン画面へ</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <p class="border mt-5" style="border: 1px solid #e7e7e7;"></p>

        <footer class="footer" style="background-color: cornsilk;">
            <div class="pt-3">
                <div class="home_button" style="text-align: center;">
                    <a href="HomeServlet">
                        <i class="fas fa-home fa-2x fa-fw"></i>
                    </a>
                </div>
                <div class="site_info mt-3" style="text-align: center;">
                    <p>漫画のショッピングサイト　Copyright ©2020</p>
                </div>
            </div>
        </footer>
    </div>

</body>

</html>